Bug 1834317 (CVE-2020-10957) - CVE-2020-10957 dovecot: malformed NOOP commands leads to DoS
Summary: CVE-2020-10957 dovecot: malformed NOOP commands leads to DoS
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-10957
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1840354 1836934 1840353
Blocks: 1834329
TreeView+ depends on / blocked
 
Reported: 2020-05-11 13:59 UTC by Dhananjay Arunesh
Modified: 2020-07-14 07:27 UTC (History)
6 users (show)

Fixed In Version: Dovecot 2.3.10.1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Dovecot, where it did not properly handle certain malformed NOOP commands. This flaw allows a malicious attacker to cause the submission, submission-login, or lmtp services to crash by sending specially crafted commands.
Clone Of:
Environment:
Last Closed: 2020-07-14 01:27:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2901 None None None 2020-07-13 20:27:21 UTC

Description Dhananjay Arunesh 2020-05-11 13:59:56 UTC
A vulnerability was found in dovecot 2.3.0 before 2.3.10 where, by sending malformed NOOP command causes crash in submission, submission-login or lmtp service.

Comment 1 Dhananjay Arunesh 2020-05-11 14:19:33 UTC
Acknowledgments:

Name: Philippe Antoine (Catena Cyber)

Comment 2 Marian Rehak 2020-05-18 14:08:00 UTC
Created dovecot tracking bugs for this issue:

Affects: fedora-all [bug 1836934]

Comment 5 Stefan Cornelius 2020-05-28 14:28:03 UTC
External References:

https://dovecot.org/pipermail/dovecot-news/2020-May/000438.html

Comment 6 errata-xmlrpc 2020-07-13 20:27:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:2901 https://access.redhat.com/errata/RHSA-2020:2901

Comment 7 Product Security DevOps Team 2020-07-14 01:27:37 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-10957

Comment 8 Product Security DevOps Team 2020-07-14 07:27:37 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-10957


Note You need to log in before you can comment on or make changes to this bug.